Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(226)

Unified Diff: pkg/shadow_dom/tool/build.sh

Issue 23548014: update shadowdom polyfill to latest (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: updated README, add build.sh Created 7 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: pkg/shadow_dom/tool/build.sh
diff --git a/pkg/shadow_dom/tool/build.sh b/pkg/shadow_dom/tool/build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..6e2adb758ead866983e0f7ba7f6c672dce82902d
--- /dev/null
+++ b/pkg/shadow_dom/tool/build.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# Usage: call directly in the commandline as test/run.sh ensuring that you have
+# both 'dart' and 'content_shell' in your path. Filter tests by passing a
+# pattern as an argument to this script.
+
+# bail on error
+set -e
+
+DIR=$( cd $( dirname "${BASH_SOURCE[0]}" ) && pwd )
+# Note: dartanalyzer and some tests needs to be run from the root directory
+pushd $DIR > /dev/null
+
+SHADOWDOM_REMOTE=https://github.com/dart-lang/ShadowDOM.git
+SHADOWDOM_DIR=../../../third_party/polymer/ShadowDOM
+
+echo "*** Syncing $SHADOWDOM_DIR from $SHADOWDOM_REMOTE"
+if [ -d "$SHADOWDOM_DIR" ]; then
+ pushd $SHADOWDOM_DIR > /dev/null
+ git pull
+ popd
+else
+ git clone --branch shadowdom_patches $SHADOWDOM_REMOTE $SHADOWDOM_DIR
+fi
+
+echo '*** Installing NPM prerequisites'
+npm install
+
+echo '*** Running grunt'
+grunt

Powered by Google App Engine
This is Rietveld 408576698